require 'faraday'
require 'faraday_middleware'

module Jsonip
  class Client

    def get
      connection.get('/').body.ip
    end

    private

    def connection
      @connection ||= Faraday.new 'http://jsonip.org' do |builder|
        builder.response :mashify
        builder.response :json
        builder.adapter Faraday.default_adapter
      end
    end
  end
end
